PKGCTL-AUTH-LOGIN(1)

NAME
pkgctl-auth-login - Authenticate with the GitLab instance

SYNOPSIS

pkgctl auth login [OPTIONS]

DESCRIPTION

Interactively authenticate with the GitLab instance.

The minimum required scopes for the token are: api, write_repository.

The GitLab API token can either be stored in a plaintext file in $XDG_CONFIG_HOME/devtools/gitlab.conf, or supplied via the DEVTOOLS_GITLAB_TOKEN environment variable using any command (gpg, vault, password manager) by declaring a shell alias:

    $ alias pkgctl='DEVTOOLS_GITLAB_TOKEN="$(command to obtain token)" pkgctl'

OPTIONS

-g, --gen-access-token
    Open the URL to generate a new personal access token

-h, --help
    Show a help text

SEE ALSO

pkgctl-auth-status(1)

HOMEPAGE

Please report bugs and feature requests in the issue tracker. Please do your best to provide a reproducible test case for bugs.